=== debian/changelog ===
ros-galactic-naoqi-libqi (2.9.7-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Maxime Busy <mbusy@softbankrobotics.com>  Sat, 10 Sep 2022 01:40:16 -0000
