=== debian/control ===
Source: ros-galactic-naoqi-libqi
Section: misc
Priority: optional
Maintainer: Maxime Busy <mbusy@softbankrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libssl-dev, ros-galactic-ament-cmake, ros-galactic-ros-workspace
Homepage: http://doc.aldebaran.com/libqi
Standards-Version: 3.9.2

Package: ros-galactic-naoqi-libqi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libssl-dev, ros-galactic-ros-workspace
Description: Aldebaran's libqi: a core library for NAOqiOS development
